Bug 53579 - [Maintainer Update] x11-toolkits/php-gtk: Fix build dependency
Summary: [Maintainer Update] x11-toolkits/php-gtk: Fix build dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-21 12:30 UTC by Alex Kiesel
Modified: 2003-06-23 14:11 UTC (History)
0 users

See Also:


Attachments
phpgtk.diff (549 bytes, patch)
2003-06-21 12:30 UTC, Alex Kiesel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Kiesel 2003-06-21 12:30:11 UTC
    php-gtk is missing php4-cli as a build dependency, it is only listed
    as a run dependency. However, it is already needed to create
    some of the .c - files needed in build stage.

Fix: The attached patch adds php4-cli as a build dependency. This should
    fix the problem (reported by bento).
Comment 1 Alex Kiesel 2003-06-21 14:06:55 UTC
This patch does better, it obsoletes the previous one:

--- phpgtk.diff begins here ---
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/php-gtk/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- Makefile    17 Jun 2003 16:19:04 -0000      1.4
+++ Makefile    21 Jun 2003 13:05:11 -0000
@@ -21,7 +21,8 @@
                automake14:${PORTSDIR}/devel/automake14 \
                autoconf:${PORTSDIR}/devel/autoconf \
                autoconf213:${PORTSDIR}/devel/autoconf213 \
-               phpize:${PORTSDIR}/lang/php4-cli
+               phpize:${PORTSDIR}/lang/php4-cli \
+               php:${PORTSDIR}/lang/php4-cli
 RUN_DEPENDS=   php:${PORTSDIR}/lang/php4-cli
 
 # Don't call autoconf directly, ./buildconf does this
--- phpgtk.diff ends here ---
Comment 2 Daichi GOTO freebsd_committer 2003-06-23 14:11:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!